import { Type } from '@angular/core';
interface WagtailMeta {
    type: string;
    detail_url: string;
    html_url: string;
    slug: string;
    first_published_at?: string;
}
export interface WagtailMetaDetail extends WagtailMeta {
    show_in_menus: boolean;
    seo_title: string;
    search_description: string;
    parent: WagtailPage | null;
}
interface WagtailPageBase {
    id: number;
    title: string;
}
export interface WagtailPage extends WagtailPageBase {
    meta: WagtailMeta;
}
export interface WagtailPageDetail extends WagtailPageBase {
    meta: WagtailMetaDetail;
}
interface WagtailResponseMeta {
    total_count: number;
}
export interface WagtailResponse {
    meta: WagtailResponseMeta;
    items: WagtailPage[];
}
export declare type PageType = {
    type: string;
} & ({
    component: Type<any>;
} | {
    loadComponent: () => Type<any> | Promise<Type<any>>;
});
export interface WagtailModuleConfig {
    pagesApiPath?: string;
    pagesDraftApiPath?: string;
    pageTypes: PageType[];
    notFoundComponent?: Type<any>;
    pagesApiLimit?: number;
    pagesApiFields?: string;
    excludeApiTypes?: string;
    siteId?: number;
    apiDomain: string;
    setCanonicalURL?: boolean;
}
export interface WagtailRedirect {
    old_path: string;
    is_permanent: boolean;
    site: number | null;
    link: string;
}
export {};
