import { HttpClient } from '@angular/common/http';
import { Meta, Title, TransferState } from '@angular/platform-browser';
import { BehaviorSubject, Observable } from 'rxjs';
import { WagtailModuleConfig, WagtailPage, WagtailPageDetail, WagtailRedirect } from './interfaces';
import { StatusCodeService } from './status-code.service';
import * as i0 from "@angular/core";
export declare class WagtailService {
    private http;
    private statusCodeService;
    private state;
    private title;
    private meta;
    private doc;
    private config;
    private platformId;
    page: BehaviorSubject<WagtailPageDetail | "404" | null>;
    currentPageComponent: Observable<import("@angular/core").Type<any> | undefined>;
    /** Strip out query params and #anchor */
    sanitizePath(path: string): string;
    getPageForUrl(url: string): Observable<WagtailPageDetail | null>;
    /**
     * Get the Wagtail Domain
     * Set the env var CMS_DOMAIN in node to override the domain
     * Otherwise it will default to "" meaning the same domain angular runs in.
     */
    getWagtailDomain(): string;
    /** Get Wagtail Site ID which may be configured by a Node env var or from the module config  */
    getWagtailSiteID(): number;
    getRedirectForUrl(url: string): Observable<WagtailRedirect[]>;
    getComponentForPage(page: WagtailPage | null | '404'): Promise<import("@angular/core").Type<any> | undefined>;
    /** Support for wagtail-headless-preview API */
    getPreviewData<T extends WagtailPageDetail>(contentType: string, token: string): Observable<T>;
    private sanitizePathname;
    /** Set title and description meta tag for SEO */
    private setMeta;
    private createLinkForCanonicalURL;
    constructor(http: HttpClient, statusCodeService: StatusCodeService, state: TransferState, title: Title, meta: Meta, doc: Document, config: WagtailModuleConfig, platformId: Object);
    static ɵfac: i0.ɵɵFactoryDeclaration<WagtailService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WagtailService>;
}
